commit: 726a19d2a9960cd108e2eedab622355a1c5cd1e3
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Apr 26 15:23:51 2018 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Apr 27 06:34:30 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=726a19d2
dev-python/pypy3: Bump to 6.0.0
dev-python/pypy3/Manifest | 1 +
.../{pypy3-9999.ebuild => pypy3-6.0.0.ebuild} | 54 ++++++----------------
dev-python/pypy3/pypy3-9999.ebuild | 2 +-
3 files changed, 15 insertions(+), 42 deletions(-)
diff --git a/dev-python/pypy3/Manifest b/dev-python/pypy3/Manifest
index 79018f78649..9978328ad1b 100644
--- a/dev-python/pypy3/Manifest
+++ b/dev-python/pypy3/Manifest
@@ -1,3 +1,4 @@
DIST pypy3-v5.10.0-src.tar.bz2 29075971 BLAKE2B
02fb64d514ab292e09ced57e1c206b04d0fb38353ad6ec0e836448344a6d126d0fccfb61cbd278ea3acaa227032640e82f9ffd7efe3b33ade1ca34a18831b3e4
SHA512
69a373c18dbad9dd617f994ad885c8d8975f0c484ba9dd547e6e892c9a3030a43e9e3ee668aee5f4969403883de1311cef97a0a5e5701921172ee6c2119b771b
DIST pypy3-v5.10.1-src.tar.bz2 29071765 BLAKE2B
d5c163697d8dd36a9a61e9a355719628902de0c9a4c038d31cd134d9bb26b8058abfdf85b09715208146295c37e343fae5e1e4a3c8d1999306eeea93791e326c
SHA512
91b0ed25130bdbb46d5e577136b5fe63d5162917dcc2d0b69f5cac2a283ece9d0bfd3c7c8dc61ff391e0550fa1603326f6edeb2df3159d71617fefe6c07439f5
DIST pypy3-v5.9.0-src.tar.bz2 29055111 BLAKE2B
181d87ebe4a83a3f03b28d891f248f718ad120ed54621f8054f19a65aebbe90b65c69e40ca656612356b2019aa9ac22d5e242e688a80190b046511a8ceb9c040
SHA512
3d5384d644fdd1bc8b95f5747dbd1771ae06eb2cfc7b57be359b8bf40177676afd097620d0cb9d9000c40d8cce075cfa6bfd92de987d3dd927c04d7d595dc5bd
+DIST pypy3-v6.0.0-src.tar.bz2 22648140 BLAKE2B
b8678859b0c24494788ddf6f410a3ec1a56a04663452e1aba25d3f41c5073a95866d1623f00cb1a6c9d0256df728fa60d1edb5b58d26c0d88577769cc8a6205d
SHA512
ea406c4dd1837a6ab13026de01330790f3c18f6e2bfb83e8553e52acf78b43dfb559ce75c2d91395055c771db359356c8183ed950da6f01a21bf09128935af5e
diff --git a/dev-python/pypy3/pypy3-9999.ebuild
b/dev-python/pypy3/pypy3-6.0.0.ebuild
similarity index 86%
copy from dev-python/pypy3/pypy3-9999.ebuild
copy to dev-python/pypy3/pypy3-6.0.0.ebuild
index c3217b6688d..71af571b476 100644
--- a/dev-python/pypy3/pypy3-9999.ebuild
+++ b/dev-python/pypy3/pypy3-6.0.0.ebuild
@@ -5,20 +5,19 @@ EAPI=6
# pypy3 needs to be built using python 2
PYTHON_COMPAT=( python2_7 pypy )
-EHG_PROJECT="pypy"
-EHG_REPO_URI="https://bitbucket.org/pypy/pypy"
-EHG_REVISION="py3k"
-inherit check-reqs mercurial pax-utils python-any-r1 toolchain-funcs
versionator
+inherit check-reqs pax-utils python-any-r1 toolchain-funcs versionator
-DESCRIPTION="A fast, compliant alternative implementation of the Python (3.3)
language"
+MY_P=pypy3-v${PV}
+
+DESCRIPTION="A fast, compliant alternative implementation of the Python (3.5)
language"
HOMEPAGE="http://pypy.org/"
-SRC_URI=""
+SRC_URI="https://bitbucket.org/pypy/pypy/downloads/${MY_P}-src.tar.bz2"
LICENSE="MIT"
# pypy3 -c 'import sysconfig; print(sysconfig.get_config_var("SOABI"))'
-SLOT="0/59"
-KEYWORDS=""
-IUSE="bzip2 gdbm +jit libressl low-memory ncurses sandbox sqlite
cpu_flags_x86_sse2 tk"
+SLOT="0/60"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="bzip2 gdbm +jit libressl low-memory ncurses sandbox sqlite tk"
RDEPEND=">=sys-libs/zlib-1.1.3:0=
virtual/libffi:0=
@@ -47,8 +46,7 @@ DEPEND="${RDEPEND}
)
)"
-# Who would care about predictable directory names?
-S="${WORKDIR}/pypy3-v${PV%_*}-src"
+S="${WORKDIR}/${MY_P}-src"
check_env() {
if use low-memory; then
@@ -85,11 +83,6 @@ pkg_setup() {
fi
}
-src_unpack() {
- default
- mercurial_src_unpack
-}
-
src_prepare() {
eapply "${FILESDIR}/4.0.0-gentoo-path.patch"
eapply
"${FILESDIR}/1.9-distutils.unixccompiler.UnixCCompiler.runtime_library_dir_option.patch"
@@ -111,32 +104,12 @@ src_prepare() {
src_configure() {
tc-export CC
- local jit_backend
- if use jit; then
- jit_backend='--jit-backend='
-
- # We only need the explicit sse2 switch for x86.
- # On other arches we can rely on autodetection which uses
- # compiler macros. Plus, --jit-backend= doesn't accept all
- # the modern values...
-
- if use x86; then
- if use cpu_flags_x86_sse2; then
- jit_backend+=x86
- else
- jit_backend+=x86-without-sse2
- fi
- else
- jit_backend+=auto
- fi
- fi
-
local args=(
--shared
$(usex jit -Ojit -O2)
$(usex sandbox --sandbox '')
- ${jit_backend}
+ --jit-backend=auto
pypy/goal/targetpypystandalone
)
@@ -197,7 +170,7 @@ src_compile() {
# "resource": "_resource_build.py" if sys.platform != "win32" else None,
# "lzma": "_lzma_build.py",
# "_decimal": "_decimal_build.py",
-# "ssl": "_ssl_build.py",
+# "_ssl": "_ssl_build.py",
cffi_targets=( audioop syslog pwdgrp resource lzma decimal ssl )
use gdbm && cffi_targets+=( gdbm )
use ncurses && cffi_targets+=( curses )
@@ -241,12 +214,11 @@ src_install() {
dodoc README.rst
if ! use gdbm; then
- rm -r "${ED%/}${dest}"/lib_pypy/gdbm.py \
- "${ED%/}${dest}"/lib-python/*3/test/test_gdbm.py || die
+ rm -r "${ED%/}${dest}"/lib_pypy/_gdbm* || die
fi
if ! use sqlite; then
rm -r "${ED%/}${dest}"/lib-python/*3/sqlite3 \
- "${ED%/}${dest}"/lib_pypy/_sqlite3.py \
+ "${ED%/}${dest}"/lib_pypy/_sqlite3* \
"${ED%/}${dest}"/lib-python/*3/test/test_sqlite.py ||
die
fi
if ! use tk; then
diff --git a/dev-python/pypy3/pypy3-9999.ebuild
b/dev-python/pypy3/pypy3-9999.ebuild
index c3217b6688d..61b32ea2ad5 100644
--- a/dev-python/pypy3/pypy3-9999.ebuild
+++ b/dev-python/pypy3/pypy3-9999.ebuild
@@ -16,7 +16,7 @@ SRC_URI=""
LICENSE="MIT"
# pypy3 -c 'import sysconfig; print(sysconfig.get_config_var("SOABI"))'
-SLOT="0/59"
+SLOT="0/60"
KEYWORDS=""
IUSE="bzip2 gdbm +jit libressl low-memory ncurses sandbox sqlite
cpu_flags_x86_sse2 tk"